use maud::{Markup, html};

use super::empty;

pub fn desktop_minimal(content: Markup, name: &str) -> Markup {
    let content = html! {
        div class="w-full h-screen flex" {
            div class="w-56" {
                (sidebar())
            }
            div class="w-full" {
                (content)
            }
        }
    };

    empty(content, name)
}

pub fn desktop(content: Markup, name: &str) -> Markup {
    let content = html! {
        div class="p-10" {
            (content)
        }
    };

    desktop_minimal(content, name)
}

fn sidebar() -> Markup {
    html! {
        ul class="menu bg-base-200 rounded-box w-full h-full" {
            li {
                a href="/" {
                    "Overview"
                }
                a href="/workouts" {
                    "Workouts"
                }
                a href="/exercises" {
                    "Exercises"
                }
            }
        }
    }
}
