use sqlx::{PgPool, prelude::FromRow};
use uuid::Uuid;

#[derive(Debug, FromRow)]
pub struct Exercise {
    pub exercise_id: Uuid,
    pub name: String,
    pub description: String,
}

impl Exercise {
    pub async fn from_id(id: Uuid, conn: &PgPool) -> Result<Self, sqlx::Error> {
        let exercise = sqlx::query_as!(
            Exercise,
            "SELECT exercise_id, name, description FROM exercises WHERE exercise_id = $1",
            id
        )
        .fetch_one(conn)
        .await?;

        Ok(exercise)
    }
}
